# GoogleMaps

engine/Source/Core/GoogleMaps.js 4
Default settings for accessing the Google Maps API.
An API key is only required if you are directly using any Google Maps APIs, such as through `createGooglePhotorealistic3DTileset`. Follow instructions for managing API keys for the Google Maps Platform at https://developers.google.com/maps/documentation/embed/get-api-key

##### See:

- createGooglePhotorealistic3DTileset
- https://developers.google.com/maps/documentation/embed/get-api-key

### Members

#### static Cesium.GoogleMaps.defaultApiKey : undefined|string
engine/Source/Core/GoogleMaps.js 22

Gets or sets the default Google Maps API key.

#### static Cesium.GoogleMaps.mapTilesApiEndpoint : string|Resource
engine/Source/Core/GoogleMaps.js 30

Gets or sets the default Google Map Tiles API endpoint.

Default Value: `https://tile.googleapis.com/v1/`

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.